Bug Hunting Session
Bug 86188 - FILESAVE Comments to footnotes corrupt layout when converted to DOCX or DOC
Summary: FILESAVE Comments to footnotes corrupt layout when converted to DOCX or DOC
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords: dataLoss
: 112052 (view as bug list)
Depends on:
Blocks: DOCX-Footnote-Endnote DOCX-Comments
  Show dependency treegraph
 
Reported: 2014-11-12 07:13 UTC by nbusch
Modified: 2019-10-18 07:05 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Original File (10.71 KB, application/vnd.oasis.opendocument.text)
2014-11-12 07:13 UTC, nbusch
Details
Converted to docx (6.38 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-11-12 07:14 UTC, nbusch
Details
Reconverted to odt (10.21 KB, application/vnd.oasis.opendocument.text)
2014-11-12 07:14 UTC, nbusch
Details
Original File pdf (21.91 KB, application/pdf)
2014-11-12 07:14 UTC, nbusch
Details
docx as pdf (8.52 KB, application/pdf)
2014-11-12 07:15 UTC, nbusch
Details
Reconverted odt as pdf (8.53 KB, application/pdf)
2014-11-12 07:15 UTC, nbusch
Details
Screenshot of Word 2013 with cursor in the footnote - New Comment button is inactive (29.31 KB, image/png)
2018-02-08 15:39 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nbusch 2014-11-12 07:13:49 UTC
Created attachment 109321 [details]
Original File

Problem description: 
In LibreOffice you can add comments to footnotes. When saving in docx and reopening in LibreOffice the comments disappear. The text after the footnote (maintext) is moved to the footnote. The text and format of the footnote is corrupted.

Steps to reproduce:
1. take any document with footnotes and comments in footnotes
2. save it to docx
3. reopen it in LibreOffice

Current behavior:
Original file and reopened file are not identical.

Expected behavior:
Reopened file should be identical to original file.
Comment 1 nbusch 2014-11-12 07:14:15 UTC
Created attachment 109322 [details]
Converted to docx
Comment 2 nbusch 2014-11-12 07:14:42 UTC
Created attachment 109323 [details]
Reconverted to odt
Comment 3 nbusch 2014-11-12 07:14:57 UTC
Created attachment 109324 [details]
Original File pdf
Comment 4 nbusch 2014-11-12 07:15:19 UTC
Created attachment 109325 [details]
docx as pdf
Comment 5 nbusch 2014-11-12 07:15:39 UTC
Created attachment 109326 [details]
Reconverted odt as pdf
Comment 6 Buovjaga 2014-11-16 19:48:27 UTC
Reproduced with saving original file as .docx.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 7 Buovjaga 2015-01-09 15:14:01 UTC
Lowered version number after reproducing with:

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 8 A (Andy) 2015-12-27 19:38:46 UTC
Reproducible with LO 5.1.0.1, Win 8.1
Comment 9 QA Administrators 2017-01-03 19:55:21 UTC Comment hidden (obsolete)
Comment 10 raal 2017-08-29 14:31:15 UTC
*** Bug 112052 has been marked as a duplicate of this bug. ***
Comment 11 Aibara 2017-08-31 23:20:12 UTC
This does affect .doc files as well (originally created as .doc), not just .docx or .odt files converted to .docx. Tested LO 5.4.0.3 on Ubuntu 16.04.
Comment 12 Gabor Kelemen 2018-02-08 15:37:15 UTC
Word (my 2013 at least) does not allow comments in footnotes - the Comment button is greyed out. 
Maybe LO should just drop the footnote comments on docx export.
Comment 13 Gabor Kelemen 2018-02-08 15:39:33 UTC
Created attachment 139697 [details]
Screenshot of Word 2013 with cursor in the footnote - New Comment button is inactive
Comment 14 QA Administrators 2019-02-09 03:44:42 UTC Comment hidden (obsolete)
Comment 15 Aibara 2019-03-15 18:10:09 UTC
This issue is still present, tested in LO Writer 6.1.5.2 on Ubuntu 16.04.

But it seems the issue is that MS Word does not allow comments in the footnotes in .doc or .docx files. Is that part of the .doc(x) spec? If so, then what LO really needs is some sort of warning to the user that certain content will not be kept when converted from an .odt. Unless there's some way to move the footnote comments next to the footnote numbers/marks in the text, but that's probably complicated and isn't really the same thing.
Comment 16 Commit Notification 2019-10-18 06:42:52 UTC
Kelemen Gábor committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2fca4bcfda927c6e63f67f70a3331d2d748e65ca

tdf#86188 Compatibility setting enabling comments to footnotes

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.